//////////////////////////////////////////////////////////
// This class has been automatically generated on
// Fri Nov 11 10:30:29 2011 by ROOT version 5.32/00-rc1
// from TTree analysis_results/Analysis Results
// found on file: test.fit
//////////////////////////////////////////////////////////

#ifndef testClass_h
#define testClass_h

#include <TROOT.h>
#include <TChain.h>
#include <TFile.h>

// Header file for the classes stored in the TTree if any.
#include <TBits.h>

// Fixed size dimensions of array or collections stored in the TTree if any.

class testClass {
public :
   TTree          *fChain;   //!pointer to the analyzed TTree or TChain
   Int_t           fCurrent; //!current Tree number in a TChain

   // Declaration of leaf types
   UInt_t          ENum;
   Int_t           layer_multiplicity_xlmult;
   Int_t           layer_multiplicity_ylmult;
   Double_t        tdc_xtdc[12];
   Double_t        tdc_ytdc[12];
   Int_t           seconds;
   Int_t           nanoseconds;
   Float_t         X_Fit_xp0;
   Float_t         X_Fit_xp1;
   Float_t         X_Fit_xerrp0;
   Float_t         X_Fit_xerrp1;
   Float_t         X_Fit_xndf;
   Float_t         X_Fit_xchisq;
   Float_t         Y_Fit_yp0;
   Float_t         Y_Fit_yp1;
   Float_t         Y_Fit_yerrp0;
   Float_t         Y_Fit_yerrp1;
   Float_t         Y_Fit_yndf;
   Float_t         Y_Fit_ychisq;
   Float_t         angle_zen;
   Float_t         angle_azi;
   UInt_t          efficiency_xeff[12];
   UInt_t          efficiency_yeff[12];
   TBits           *xstriphits_0;
   TBits           *ystriphits_0;
   TBits           *xstriphits_1;
   TBits           *ystriphits_1;
   TBits           *xstriphits_2;
   TBits           *ystriphits_2;
   TBits           *xstriphits_3;
   TBits           *ystriphits_3;
   TBits           *xstriphits_4;
   TBits           *ystriphits_4;
   TBits           *xstriphits_5;
   TBits           *ystriphits_5;
   TBits           *xstriphits_6;
   TBits           *ystriphits_6;
   TBits           *xstriphits_7;
   TBits           *ystriphits_7;
   TBits           *xstriphits_8;
   TBits           *ystriphits_8;
   TBits           *xstriphits_9;
   TBits           *ystriphits_9;
   TBits           *xstriphits_10;
   TBits           *ystriphits_10;
   TBits           *xstriphits_11;
   TBits           *ystriphits_11;

   // List of branches
   TBranch        *b_ENum;   //!
   TBranch        *b_layer_multiplicity;   //!
   TBranch        *b_tdc;   //!
   TBranch        *b_sec;   //!
   TBranch        *b_nsec;   //!
   TBranch        *b_X_Fit;   //!
   TBranch        *b_Y_Fit;   //!
   TBranch        *b_angle;   //!
   TBranch        *b_efficiency;   //!
   TBranch        *b_xstriphits_0;   //!
   TBranch        *b_ystriphits_0;   //!
   TBranch        *b_xstriphits_1;   //!
   TBranch        *b_ystriphits_1;   //!
   TBranch        *b_xstriphits_2;   //!
   TBranch        *b_ystriphits_2;   //!
   TBranch        *b_xstriphits_3;   //!
   TBranch        *b_ystriphits_3;   //!
   TBranch        *b_xstriphits_4;   //!
   TBranch        *b_ystriphits_4;   //!
   TBranch        *b_xstriphits_5;   //!
   TBranch        *b_ystriphits_5;   //!
   TBranch        *b_xstriphits_6;   //!
   TBranch        *b_ystriphits_6;   //!
   TBranch        *b_xstriphits_7;   //!
   TBranch        *b_ystriphits_7;   //!
   TBranch        *b_xstriphits_8;   //!
   TBranch        *b_ystriphits_8;   //!
   TBranch        *b_xstriphits_9;   //!
   TBranch        *b_ystriphits_9;   //!
   TBranch        *b_xstriphits_10;   //!
   TBranch        *b_ystriphits_10;   //!
   TBranch        *b_xstriphits_11;   //!
   TBranch        *b_ystriphits_11;   //!

   testClass(TTree *tree=0);
   virtual ~testClass();
   virtual Int_t    Cut(Long64_t entry);
   virtual Int_t    GetEntry(Long64_t entry);
   virtual Long64_t LoadTree(Long64_t entry);
   virtual void     Init(TTree *tree);
   virtual void     Loop();
   virtual Bool_t   Notify();
   virtual void     Show(Long64_t entry = -1);
};

#endif

#ifdef testClass_cxx
testClass::testClass(TTree *tree) : fChain(0) 
{
// if parameter tree is not specified (or zero), connect the file
// used to generate this class and read the Tree.
   if (tree == 0) {
      TFile *f = (TFile*)gROOT->GetListOfFiles()->FindObject("test.fit");
      if (!f || !f->IsOpen()) {
         f = new TFile("test.fit");
      }
      f->GetObject("analysis_results",tree);

   }
   Init(tree);
}

testClass::~testClass()
{
   if (!fChain) return;
   delete fChain->GetCurrentFile();
}

Int_t testClass::GetEntry(Long64_t entry)
{
// Read contents of entry.
   if (!fChain) return 0;
   return fChain->GetEntry(entry);
}
Long64_t testClass::LoadTree(Long64_t entry)
{
// Set the environment to read one entry
   if (!fChain) return -5;
   Long64_t centry = fChain->LoadTree(entry);
   if (centry < 0) return centry;
   if (fChain->GetTreeNumber() != fCurrent) {
      fCurrent = fChain->GetTreeNumber();
      Notify();
   }
   return centry;
}

void testClass::Init(TTree *tree)
{
   // The Init() function is called when the selector needs to initialize
   // a new tree or chain. Typically here the branch addresses and branch
   // pointers of the tree will be set.
   // It is normally not necessary to make changes to the generated
   // code, but the routine can be extended by the user if needed.
   // Init() will be called many times when running on PROOF
   // (once per file to be processed).

   // Set object pointer
   xstriphits_0 = 0;
   ystriphits_0 = 0;
   xstriphits_1 = 0;
   ystriphits_1 = 0;
   xstriphits_2 = 0;
   ystriphits_2 = 0;
   xstriphits_3 = 0;
   ystriphits_3 = 0;
   xstriphits_4 = 0;
   ystriphits_4 = 0;
   xstriphits_5 = 0;
   ystriphits_5 = 0;
   xstriphits_6 = 0;
   ystriphits_6 = 0;
   xstriphits_7 = 0;
   ystriphits_7 = 0;
   xstriphits_8 = 0;
   ystriphits_8 = 0;
   xstriphits_9 = 0;
   ystriphits_9 = 0;
   xstriphits_10 = 0;
   ystriphits_10 = 0;
   xstriphits_11 = 0;
   ystriphits_11 = 0;
   // Set branch addresses and branch pointers
   if (!tree) return;
   fChain = tree;
   fCurrent = -1;
   fChain->SetMakeClass(1);

   fChain->SetBranchAddress("ENum", &ENum, &b_ENum);
   fChain->SetBranchAddress("layer_multiplicity", &layer_multiplicity_xlmult, &b_layer_multiplicity);
   fChain->SetBranchAddress("tdc", tdc_xtdc, &b_tdc);
   fChain->SetBranchAddress("seconds", &seconds, &b_sec);
   fChain->SetBranchAddress("nanoseconds", &nanoseconds, &b_nsec);
   fChain->SetBranchAddress("X_Fit", &X_Fit_xp0, &b_X_Fit);
   fChain->SetBranchAddress("Y_Fit", &Y_Fit_yp0, &b_Y_Fit);
   fChain->SetBranchAddress("angle", &angle_zen, &b_angle);
   fChain->SetBranchAddress("efficiency", efficiency_xeff, &b_efficiency);
   fChain->SetBranchAddress("xstriphits_0", &xstriphits_0, &b_xstriphits_0);
   fChain->SetBranchAddress("ystriphits_0", &ystriphits_0, &b_ystriphits_0);
   fChain->SetBranchAddress("xstriphits_1", &xstriphits_1, &b_xstriphits_1);
   fChain->SetBranchAddress("ystriphits_1", &ystriphits_1, &b_ystriphits_1);
   fChain->SetBranchAddress("xstriphits_2", &xstriphits_2, &b_xstriphits_2);
   fChain->SetBranchAddress("ystriphits_2", &ystriphits_2, &b_ystriphits_2);
   fChain->SetBranchAddress("xstriphits_3", &xstriphits_3, &b_xstriphits_3);
   fChain->SetBranchAddress("ystriphits_3", &ystriphits_3, &b_ystriphits_3);
   fChain->SetBranchAddress("xstriphits_4", &xstriphits_4, &b_xstriphits_4);
   fChain->SetBranchAddress("ystriphits_4", &ystriphits_4, &b_ystriphits_4);
   fChain->SetBranchAddress("xstriphits_5", &xstriphits_5, &b_xstriphits_5);
   fChain->SetBranchAddress("ystriphits_5", &ystriphits_5, &b_ystriphits_5);
   fChain->SetBranchAddress("xstriphits_6", &xstriphits_6, &b_xstriphits_6);
   fChain->SetBranchAddress("ystriphits_6", &ystriphits_6, &b_ystriphits_6);
   fChain->SetBranchAddress("xstriphits_7", &xstriphits_7, &b_xstriphits_7);
   fChain->SetBranchAddress("ystriphits_7", &ystriphits_7, &b_ystriphits_7);
   fChain->SetBranchAddress("xstriphits_8", &xstriphits_8, &b_xstriphits_8);
   fChain->SetBranchAddress("ystriphits_8", &ystriphits_8, &b_ystriphits_8);
   fChain->SetBranchAddress("xstriphits_9", &xstriphits_9, &b_xstriphits_9);
   fChain->SetBranchAddress("ystriphits_9", &ystriphits_9, &b_ystriphits_9);
   fChain->SetBranchAddress("xstriphits_10", &xstriphits_10, &b_xstriphits_10);
   fChain->SetBranchAddress("ystriphits_10", &ystriphits_10, &b_ystriphits_10);
   fChain->SetBranchAddress("xstriphits_11", &xstriphits_11, &b_xstriphits_11);
   fChain->SetBranchAddress("ystriphits_11", &ystriphits_11, &b_ystriphits_11);
   Notify();
}

Bool_t testClass::Notify()
{
   // The Notify() function is called when a new file is opened. This
   // can be either for a new TTree in a TChain or when when a new TTree
   // is started when using PROOF. It is normally not necessary to make changes
   // to the generated code, but the routine can be extended by the
   // user if needed. The return value is currently not used.

   return kTRUE;
}

void testClass::Show(Long64_t entry)
{
// Print contents of entry.
// If entry is not specified, print current entry
   if (!fChain) return;
   fChain->Show(entry);
}
Int_t testClass::Cut(Long64_t entry)
{
// This function may be called from Loop.
// returns  1 if entry is accepted.
// returns -1 otherwise.
   return 1;
}
#endif // #ifdef testClass_cxx
